Hello everyone,
I have searched in many forums on the internet but have not find a solution.
I have a code that makes captures and save it as tif images. It works fine but I would like to enhance the image quality. Manually, I do Tools> image> Capture>Options> Pixel>rendering...
Hello everyone,
Can someone tell how to prevent a user from saving a product after the latter made some modifications.
The thing is that I have a macro that launches Catia from VBA , loads a specified product automatically and hides some nodes in it then the macro stops. Then, the user can do...
Hello,
Can someone help me with this code please? I am trying to get 2 images (captures) of the same product in two different positions (camera 1 and camera 2). I have created manually two cameras in the positions I wanted to take the captures and after some researches on the net (+ macro...
Hello,
I need to find the mass and the center of gravity of some bunch of products in an assembly. The code below works for only one product. How do I get the inertia properties of several products at the same time?that is, how to create an object that contains several products to which I can...
Hello,
I need to deactivate some products in an assembly comprised of products at different levels( in the tree)
For first level products my code is working:
'--------------------------------------------
Dim CATIA As Object
Set CATIA = GetObject(, "CATIA.Application")
Dim productDocument1...
Hello,
I am trying to create a VBA macro that gets the mass and center of gravity of an assembly depending on the nodes (sub products or sub sub products) I select in the general assembly.
Lets say that my general assembly comprises of several nodes (sub products A,B , C ,D....) and in some of...
Hello,
I am trying to display an image on a userform depending on the choice of a combo box and the code below works fine:
picturename = "S:blablablabalabalab\blabla\" & name & ".jpg"
Userform.Image.Picture = LoadPicture(picturename)
However, I would like to avoid referring to the location...
Hello,
I am new to automation in Catia and I need help . I need to automatically generate drawings containing arrows. So far everything works fine except for thethickness of the arrows.
I have used
Set MyArrow1 = MyDrawingViews.ActiveView.Arrows.Add(X1 coord, Y1 coord, X2 coord, Y2 coord)
to...